Index: doc/latex/classEKFfull__coll__graph.eps
===================================================================
--- doc/latex/classEKFfull__coll__graph.eps (revision 99)
+++ doc/latex/classEKFfull__coll__graph.eps (revision 99)
@@ -0,0 +1,863 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 387 418
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 351 382 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 104 0 moveto
+104 19 lineto
+152 19 lineto
+152 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 104 0 moveto
+104 19 lineto
+152 19 lineto
+152 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+111.875 5.25 moveto 32.25 (EKFfull) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 0 67 64 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classKalmanFull.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 66 moveto
+0 85 lineto
+65 85 lineto
+65 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 66 moveto
+0 85 lineto
+65 85 lineto
+65 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.625 71.25 moveto 48.75 (KalmanFull) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 51 59 moveto
+59 52 69 44 78 38 curveto
+88 31 100 24 110 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 48.221 56.7809 moveto
+43 66 lineto
+52.8306 62.0489 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48.221 56.7809 moveto
+43 66 lineto
+52.8306 62.0489 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 307 239 337 257 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classBM.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 307 238 moveto
+307 257 lineto
+338 257 lineto
+338 238 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 307 238 moveto
+307 257 lineto
+338 257 lineto
+338 238 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+314.5 243.25 moveto 15 (BM) alignedtext
+grestore
+% Node3->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 331 229 moveto
+337 214 343 195 343 177 curveto
+343 177 343 177 343 76 curveto
+343 36 208 18 152 12 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 327.863 227.44 moveto
+327 238 lineto
+334.26 230.283 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 327.863 227.44 moveto
+327 238 lineto
+334.26 230.283 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 201 355 229 373 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classRV.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 201 354 moveto
+201 373 lineto
+230 373 lineto
+230 354 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 201 354 moveto
+201 373 lineto
+230 373 lineto
+230 354 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+208.625 359.25 moveto 12.75 (RV) alignedtext
+grestore
+% Node4->Node3
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 231 346 moveto
+254 321 296 276 314 257 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 227.951 344.169 moveto
+224 354 lineto
+233.219 348.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 227.951 344.169 moveto
+224 354 lineto
+233.219 348.779 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+257.875 321.25 moveto 8.25 (rv) alignedtext
+grestore
+% Node5
+gsave
+[ /Rect [ 84 277 128 295 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classdiffbifn.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 84 276 moveto
+84 295 lineto
+129 295 lineto
+129 276 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 84 276 moveto
+84 295 lineto
+129 295 lineto
+129 276 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+91.375 281.25 moveto 29.25 (diffbifn) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 193 348 moveto
+170 332 137 308 119 295 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 190.9 350.8 moveto
+201 354 lineto
+195.1 345.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 190.9 350.8 moveto
+201 354 lineto
+195.1 345.2 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+175.25 326.5 moveto 13.5 (rvu) alignedtext
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+175.25 316 moveto 13.5 (rvx) alignedtext
+grestore
+% Node9
+gsave
+[ /Rect [ 198 277 232 295 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classepdf.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 198 276 moveto
+198 295 lineto
+233 295 lineto
+233 276 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 198 276 moveto
+198 295 lineto
+233 295 lineto
+233 276 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+205.625 281.25 moveto 18.75 (epdf) alignedtext
+grestore
+% Node4->Node9
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 215 344 moveto
+215 328 215 307 215 295 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 211.5 344 moveto
+215 354 lineto
+218.5 344 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 211.5 344 moveto
+215 354 lineto
+218.5 344 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+214.875 321.25 moveto 8.25 (rv) alignedtext
+grestore
+% Node5->Node1
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 100 266 moveto
+97 251 93 229 92 210 curveto
+92 210 92 210 92 76 curveto
+93 53 109 31 119 19 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 96.7741 267.427 moveto
+103 276 lineto
+103.479 265.416 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 96.7741 267.427 moveto
+103 276 lineto
+103.479 265.416 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+93.625 144.5 moveto 18.75 (pfxu) alignedtext
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+92.5 134 moveto 21 (phxu) alignedtext
+grestore
+% Node6
+gsave
+[ /Rect [ 91 355 121 373 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classfnc.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 91 354 moveto
+91 373 lineto
+121 373 lineto
+121 354 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 91 354 moveto
+91 373 lineto
+121 373 lineto
+121 354 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+99.25 359.25 moveto 13.5 (fnc) alignedtext
+grestore
+% Node6->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106 344 moveto
+106 328 106 307 106 295 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 102.5 344 moveto
+106 354 lineto
+109.5 344 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 102.5 344 moveto
+106 354 lineto
+109.5 344 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 142 67 232 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 142 66 moveto
+142 85 lineto
+233 85 lineto
+233 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 142 66 moveto
+142 85 lineto
+233 85 lineto
+233 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+149.5 71.25 moveto 75 (enorm< fsqmat >) alignedtext
+grestore
+% Node7->Node1
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 171 58 moveto
+160 46 145 30 136 19 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 168.781 60.779 moveto
+178 66 lineto
+174.049 56.1694 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 168.781 60.779 moveto
+178 66 lineto
+174.049 56.1694 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+161.625 39.25 moveto 6.75 (E) alignedtext
+grestore
+% Node8
+gsave
+[ /Rect [ 198 201 232 219 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeEF.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 198 200 moveto
+198 219 lineto
+232 219 lineto
+232 200 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 198 200 moveto
+198 219 lineto
+232 219 lineto
+232 200 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+206 205.25 moveto 18 (eEF) alignedtext
+grestore
+% Node8->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 211 190 moveto
+204 161 193 106 189 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 207.607 190.881 moveto
+213 200 lineto
+214.471 189.508 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 207.607 190.881 moveto
+213 200 lineto
+214.471 189.508 lineto
+closepath stroke
+grestore
+% Node12
+gsave
+[ /Rect [ 233 134 315 152 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 233 133 moveto
+233 152 lineto
+316 152 lineto
+316 133 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 233 133 moveto
+233 152 lineto
+316 152 lineto
+316 133 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+240.625 138.25 moveto 66.75 (enorm< sq_T >) alignedtext
+grestore
+% Node8->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 231 192 moveto
+242 179 257 163 266 152 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 227.951 190.169 moveto
+224 200 lineto
+233.219 194.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 227.951 190.169 moveto
+224 200 lineto
+233.219 194.779 lineto
+closepath stroke
+grestore
+% Node9->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 215 266 moveto
+215 251 215 230 215 219 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 211.5 266 moveto
+215 276 lineto
+218.5 266 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 211.5 266 moveto
+215 276 lineto
+218.5 266 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 131 134 177 152 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classfsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 131 133 moveto
+131 152 lineto
+177 152 lineto
+177 133 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 131 133 moveto
+131 152 lineto
+177 152 lineto
+177 133 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+139 138.25 moveto 30 (fsqmat) alignedtext
+grestore
+% Node10->Node7
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 163 124 moveto
+169 111 177 95 182 85 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 159.863 122.44 moveto
+159 133 lineto
+166.26 125.283 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 159.863 122.44 moveto
+159 133 lineto
+166.26 125.283 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+170.625 105.25 moveto 6.75 (R) alignedtext
+grestore
+% Node11
+gsave
+[ /Rect [ 133 201 175 219 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 133 200 moveto
+133 219 lineto
+176 219 lineto
+176 200 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 133 200 moveto
+133 219 lineto
+176 219 lineto
+176 200 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+140.5 205.25 moveto 27 (sqmat) alignedtext
+grestore
+% Node11->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154 190 moveto
+154 177 154 162 154 152 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 150.5 190 moveto
+154 200 lineto
+157.5 190 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150.5 190 moveto
+154 200 lineto
+157.5 190 lineto
+closepath stroke
+grestore
+% Node12->Node7
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 253 127 moveto
+236 114 213 96 199 85 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 250.9 129.8 moveto
+261 133 lineto
+255.1 124.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 250.9 129.8 moveto
+261 133 lineto
+255.1 124.2 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+237 105.25 moveto 48 (< fsqmat >) alignedtext
+grestore
+% Node13
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 255 200 moveto
+255 219 lineto
+293 219 lineto
+293 200 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 255 200 moveto
+255 219 lineto
+293 219 lineto
+293 200 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+263.125 205.25 moveto 21.75 (sq_T) alignedtext
+grestore
+% Node13->Node12
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 274 190 moveto
+274 177 274 162 274 152 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 270.5 190 moveto
+274 200 lineto
+277.5 190 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 270.5 190 moveto
+274 200 lineto
+277.5 190 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+273.625 173.25 moveto 6.75 (R) alignedtext
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 387 418
+end
+restore
+%%EOF
Index: doc/latex/classuimatrix__inherit__graph.eps
===================================================================
--- doc/latex/classuimatrix__inherit__graph.eps (revision 99)
+++ doc/latex/classuimatrix__inherit__graph.eps (revision 99)
@@ -0,0 +1,264 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 118 120
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 82 84 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.75 5.25 moveto 58.5 (uimatrix< T >) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 15 57 59 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuibase.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 15 56 moveto
+15 75 lineto
+60 75 lineto
+60 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 15 56 moveto
+15 75 lineto
+60 75 lineto
+60 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22.75 61.25 moveto 28.5 (uibase) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 37 46 moveto
+37 37 37 26 37 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 46 moveto
+37 56 lineto
+40.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 46 moveto
+37 56 lineto
+40.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 118 120
+end
+restore
+%%EOF
Index: doc/latex/classmgamma__fix__inherit__graph.eps
===================================================================
--- doc/latex/classmgamma__fix__inherit__graph.eps (revision 99)
+++ doc/latex/classmgamma__fix__inherit__graph.eps (revision 99)
@@ -0,0 +1,356 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 116 232
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 80 196 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+72 19 lineto
+72 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+72 19 lineto
+72 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.875 5.25 moveto 56.25 (mgamma_fix) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 8 57 64 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmgamma.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 8 56 moveto
+8 75 lineto
+65 75 lineto
+65 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 8 56 moveto
+8 75 lineto
+65 75 lineto
+65 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+15.75 61.25 moveto 40.5 (mgamma) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 36 46 moveto
+36 37 36 26 36 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 46 moveto
+36 56 lineto
+39.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 46 moveto
+36 56 lineto
+39.5001 46 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 18 113 54 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmEF.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 18 112 moveto
+18 131 lineto
+55 131 lineto
+55 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 18 112 moveto
+18 131 lineto
+55 131 lineto
+55 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+25.5 117.25 moveto 21 (mEF) alignedtext
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 36 102 moveto
+36 93 36 82 36 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 102 moveto
+36 112 lineto
+39.5001 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 102 moveto
+36 112 lineto
+39.5001 102 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 17 169 55 187 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmpdf.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 17 168 moveto
+17 187 lineto
+55 187 lineto
+55 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 17 168 moveto
+17 187 lineto
+55 187 lineto
+55 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+25.125 173.25 moveto 21.75 (mpdf) alignedtext
+grestore
+% Node4->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 36 158 moveto
+36 149 36 138 36 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 158 moveto
+36 168 lineto
+39.5001 158 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32.5001 158 moveto
+36 168 lineto
+39.5001 158 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 116 232
+end
+restore
+%%EOF
